## EIterator EIterator |

## Functions

gconstpointer | e_iterator_get ()
void | e_iterator_reset ()
void | e_iterator_last ()
gboolean | e_iterator_next ()
gboolean | e_iterator_prev ()
void | e_iterator_delete ()
void | e_iterator_insert ()
void | e_iterator_set ()
gboolean | e_iterator_is_valid ()
void | e_iterator_invalidate ()

## Types and Values

struct | EIterator

## Object Hierarchy

        GObject
        ╰── EIterator
            ╰── EListIterator

## Description

## Functions

### e_iterator_get ()

    gconstpointer
    e_iterator_get (EIterator *iterator);

`e_iterator_get` is deprecated and should not be used in newly-written code.

#### Returns

the iterator.

[transfer none]

### e_iterator_reset ()

    void
    e_iterator_reset (EIterator *iterator);

`e_iterator_reset` is deprecated and should not be used in newly-written code.

### e_iterator_last ()

    void
    e_iterator_last (EIterator *iterator);

`e_iterator_last` is deprecated and should not be used in newly-written code.

### e_iterator_next ()

    gboolean
    e_iterator_next (EIterator *iterator);

`e_iterator_next` is deprecated and should not be used in newly-written code.

### e_iterator_prev ()

    gboolean
    e_iterator_prev (EIterator *iterator);

`e_iterator_prev` is deprecated and should not be used in newly-written code.

### e_iterator_delete ()

    void
    e_iterator_delete (EIterator *iterator);

`e_iterator_delete` is deprecated and should not be used in newly-written code.

### e_iterator_insert ()

    void
    e_iterator_insert (EIterator *iterator,
                       gconstpointer object,
                       gboolean before);

`e_iterator_insert` is deprecated and should not be used in newly-written code.

### e_iterator_set ()

    void
    e_iterator_set (EIterator *iterator,
                    gconstpointer object);

`e_iterator_set` is deprecated and should not be used in newly-written code.

### e_iterator_is_valid ()

    gboolean
    e_iterator_is_valid (EIterator *iterator);

`e_iterator_is_valid` is deprecated and should not be used in newly-written code.

### e_iterator_invalidate ()

    void
    e_iterator_invalidate (EIterator *iterator);

`e_iterator_invalidate` is deprecated and should not be used in newly-written code.

## Types and Values

### struct EIterator

    struct EIterator;

`EIterator` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.